Subject: Re: [PATCH 3/3] ewah: support platforms that require aligned reads

From: Jonathan Nieder <[email-masked]>
Date: Thu, 23 Jan 2014 16:15:39 -0800

Vicent Martí wrote:
> On Fri, Jan 24, 2014 at 12:44 AM, Jonathan Nieder <[email-masked]> wrote:

>>> +#if __BYTE_ORDER != __BIG_ENDIAN
>>
>> Is this portable?
>
> We explicitly set the __BYTE_ORDER macros in `compat/bswap.h`. In
> fact, this preprocessor conditional is the same one that we use when
> choosing what version of the `ntohl` macro to define, so that's why I
> decided to use it here.

Ah, thanks.  Sorry I missed that.  So feel free to add my reviewed-by
to the patch without my tweak, too.